<?php
//Author: Jonas Eberhard, joseng.de
//Verwendbar unter der GPL 2 oder neuer. Fr kommerzielle Zwecke muss die ausdrckliche Genemigung des Authors eingeholt werden!
//Dieses Skipt kommt ohne jeden Anspruch auf Vollstndigkeit und Richtigkeit aus. Fehler sind nicht ausgeschlossen.
//Fr den vorgesehenen Verwendungszweck sind Fehler keine Gefhrdung, hchstens ein rgerniss.

//bergabeparameter auslesen
if(!isset($_GET["zeilen"], $_GET["spalten"], $_GET["text"]))
{
  echo "Es mssen Zeilen-/Spaltenanzahl und der Text festgelegt werden!";
  die();
}

$zeilen = $_GET["zeilen"];                       //Wie viele Zeilen soll das Display haben
$spalten = $_GET["spalten"];                     //Wie viele Zeichen passen in eine Zeile
$text = stripslashes($_GET["text"]);             //Der Text der auf dem Display stehen soll

if(isset($_GET["autowrap"]))
{
  $autowrap = $_GET["autowrap"];                 //Automatischer Zeilenumbruch wenn am Ende der Zeile angekommen mit Text
} else {
  $autowrap = 1;
}
if(isset($_GET["crlf"]))                         //Bei Zeilenumbruch auch Wagenvorschub (eigentlich sinnlos da eigentlich immer gewnscht)
{
  $crlf = $_GET["crlf"];
} else {
  $crlf = 1;
}
if(isset($_GET["beleuchtung"]))                  //Kleine Spielerei, hier kann eine Hintergrundbeleuchtung eingeschaltet werden
{
  $beleuchtung = $_GET["beleuchtung"];
} else {
  $beleuchtung = "false";
}
if(isset($_GET["farbe"]))                        //Noch eine kleine Spielerei, hier kann umgeschaltet werden zwischen blau und grnem Hintergrund
{
  //0 = Grn, 1 = Blau
  $farbe = $_GET["farbe"];
} else {
  //0 = Grn
  $farbe = 0;
}

//Diese Datei spuckt ein Bild aus
Header("Content-Type: image/png");

//Bildgre errechnen und Bild erstellen
$width = (14 * $spalten) + (2 * ($spalten - 1)) + 12; # Spter die Breite des Rechtecks
$height = (20 * $zeilen) + (3 * ($zeilen - 1)) + 12; # Spter die Hhe des Rechtecks
$img = ImageCreate($width, $height); # Hier wird das Bild einer Variable zu gewiesen

//Farben festlegen
$darkgreen = ImageColorAllocate($img, 34, 133, 47); //Fr den Hintergrund, HTML Wert: #22852F
$lightgreen = ImageColorAllocate($img, 47, 185, 65); //Fr den Hintergrund wenn Beleuchtung an, HTML Wert: #2FB941
$darkblue = ImageColorAllocate($img, 0, 0, 90); //Fr den Hintergrund, HTML Wert: #00005A
$lightblue = ImageColorAllocate($img, 0, 0, 140); //Fr den Hintergrund wenn Beleuchtung an, HTML Wert: #00008C

$black = ImageColorAllocate($img, 0, 0, 0);
$white = ImageColorAllocate($img, 255, 255, 255);

//Bildhintergrundfarbe setzten
if($beleuchtung == "true" || $beleuchtung == 1)
{
  if($farbe)
  {
    $hintergrundfarbe = $lightblue;
    $pixelfarbe = $white;
  } else {
    $hintergrundfarbe = $lightgreen;
    $pixelfarbe = $black;
  }
} else {
  if($farbe)
  {
    $hintergrundfarbe = $darkblue;
    $pixelfarbe = $white;
  } else {
    $hintergrundfarbe = $darkgreen;
    $pixelfarbe = $black;
  }
}

ImageFill($img, 0, 0, $hintergrundfarbe); //Bild mit Hintergundfarbe fllen
# Die 1. 0 ist die Entfernung in px von Links.
# Die 2. 0 ist die Entfernung in px von Oben.
# Die 300 ist die Breite der Farbe.
# Die 100 ist die Hhe der Farbe.

//Ab hier kommen die ganzen Zeichen der Asciitabelle
$buchst[32] = array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);      //Leerzeichen
$buchst[33] = array(0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0);      //!
$buchst[34] = array(0,1,0,1,0,0,1,0,1,0,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);      //"
$buchst[35] = array(0,1,0,1,0,0,1,0,1,0,1,1,1,1,1,0,1,0,1,0,1,1,1,1,1,0,1,0,1,0,0,1,0,1,0);      //#
$buchst[36] = array(0,0,1,0,0,0,1,1,1,1,1,0,1,0,0,0,1,1,1,0,0,0,1,0,1,1,1,1,1,0,0,0,1,0,0);      //$
$buchst[37] = array(1,1,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,1,1,0,0,0,1,1);      //%
$buchst[38] = array(0,1,1,0,0,1,0,0,1,0,1,0,1,0,0,0,1,0,0,0,1,0,1,0,1,1,0,0,1,0,0,1,1,0,1);      //&
$buchst[39] = array(0,1,1,0,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);      //'
$buchst[40] = array(0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,0,1,0,0,0,0,0,1,0);      //(
$buchst[41] = array(0,1,0,0,0,0,0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0);      //)
$buchst[42] = array(0,0,0,0,0,0,0,1,0,0,1,0,1,0,1,0,1,1,1,0,1,0,1,0,1,0,0,1,0,0,0,0,0,0,0);      //*
$buchst[43] = array(0,0,0,0,0,0,0,1,0,0,0,0,1,0,0,1,1,1,1,1,0,0,1,0,0,0,0,1,0,0,0,0,0,0,0);      //+
$buchst[44] = array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,1,0,0,0,1,0,0,0);      //,
$buchst[45] = array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);      //-
$buchst[46] = array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,1,1,0,0);      //.
$buchst[47] = array(0,0,0,0,0,0,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0);      // /

$buchst[48] = array(0,1,1,1,0,1,0,0,0,1,1,0,0,1,1,1,0,1,0,1,1,1,0,0,1,1,0,0,0,1,0,1,1,1,0);      //0
$buchst[49] = array(0,0,1,0,0,0,1,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,1,1,1,0);      //1
$buchst[50] = array(0,1,1,1,0,1,0,0,0,1,0,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,1,1,1,1);      //2
$buchst[51] = array(1,1,1,1,1,0,0,0,1,0,0,0,1,0,0,0,0,0,1,0,0,0,0,0,1,1,0,0,0,1,0,1,1,1,0);      //3
$buchst[52] = array(0,0,0,1,0,0,0,1,1,0,0,1,0,1,0,1,0,0,1,0,1,1,1,1,1,0,0,0,1,0,0,0,0,1,0);      //4
$buchst[53] = array(1,1,1,1,1,1,0,0,0,0,1,1,1,1,0,0,0,0,0,1,0,0,0,0,1,1,0,0,0,1,0,1,1,1,0);      //5
$buchst[54] = array(0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,1,1,1,1,0,1,0,0,0,1,1,0,0,0,1,0,1,1,1,0);      //6
$buchst[55] = array(1,1,1,1,1,0,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0);      //7
$buchst[56] = array(0,1,1,1,0,1,0,0,0,1,1,0,0,0,1,0,1,1,1,0,1,0,0,0,1,1,0,0,0,1,0,1,1,1,0);      //8
$buchst[57] = array(0,1,1,1,0,1,0,0,0,1,1,0,0,0,1,0,1,1,1,1,0,0,0,0,1,0,0,0,1,0,0,1,1,0,0);      //9

$buchst[58] = array(0,0,0,0,0,0,1,1,0,0,0,1,1,0,0,0,0,0,0,0,0,1,1,0,0,0,1,1,0,0,0,0,0,0,0);      //:
$buchst[59] = array(0,0,0,0,0,0,1,1,0,0,0,1,1,0,0,0,0,0,0,0,0,1,1,0,0,0,0,1,0,0,0,1,0,0,0);      //;
$buchst[60] = array(0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,0,0,1,0,0,0,0,0,1,0,0,0,0,0,1,0);      //<
$buchst[61] = array(0,0,0,0,0,0,0,0,0,0,1,1,1,1,0,0,0,0,0,0,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0);      //=
$buchst[62] = array(0,1,0,0,0,0,0,1,0,0,0,0,0,1,0,0,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0);      //>
$buchst[63] = array(0,1,1,1,0,1,0,0,0,1,0,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0);      //?
$buchst[64] = array(0,1,1,1,0,1,0,0,0,1,0,0,0,0,1,0,1,1,0,1,1,0,1,0,1,1,0,1,0,1,0,1,1,1,0);      //@

$buchst[65] = array(0,1,1,1,0,1,0,0,0,1,1,0,0,0,1,1,1,1,1,1,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1);      //A
$buchst[66] = array(1,1,1,1,0,1,0,0,0,1,1,0,0,0,1,1,1,1,1,0,1,0,0,0,1,1,0,0,0,1,1,1,1,1,0);      //B
$buchst[67] = array(0,1,1,1,0,1,0,0,0,1,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,1,0,1,1,1,0);      //C
$buchst[68] = array(1,1,1,1,0,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,1,1,1,1,0);      //D
$buchst[69] = array(1,1,1,1,1,1,0,0,0,0,1,0,0,0,0,1,1,1,1,0,1,0,0,0,0,1,0,0,0,0,1,1,1,1,1);      //E
$buchst[70] = array(1,1,1,1,1,1,0,0,0,0,1,0,0,0,0,1,1,1,1,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0);      //F
$buchst[71] = array(0,1,1,1,0,1,0,0,0,1,1,0,0,0,0,1,0,1,1,1,1,0,0,0,1,1,0,0,0,1,0,1,1,1,0);      //G
$buchst[72] = array(1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,1,1,1,1,1,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1);      //H
$buchst[73] = array(0,1,1,1,0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,1,1,1,0);      //I
$buchst[74] = array(0,0,1,1,1,0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,1,0,0,1,0,0,1,1,0,0);      //J
$buchst[75] = array(1,0,0,0,1,1,0,0,1,0,1,0,1,0,0,1,1,0,0,0,1,0,1,0,0,1,0,0,1,0,1,0,0,0,1);      //K
$buchst[76] = array(1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,1,1,1,1);      //L
$buchst[77] = array(1,0,0,0,1,1,1,0,1,1,1,0,1,0,1,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1);      //M
$buchst[78] = array(1,0,0,0,1,1,0,0,0,1,1,1,0,0,1,1,0,1,0,1,1,0,0,1,1,1,0,0,0,1,1,0,0,0,1);      //N
$buchst[79] = array(0,1,1,1,0,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,0,1,1,1,0);      //O
$buchst[80] = array(1,1,1,1,0,1,0,0,0,1,1,0,0,0,1,1,1,1,1,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0);      //P
$buchst[81] = array(0,1,1,1,0,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,1,0,1,0,1,1,0,0,1,0,0,1,1,0,1);      //Q
$buchst[82] = array(1,1,1,1,0,1,0,0,0,1,1,0,0,0,1,1,1,1,1,0,1,0,1,0,0,1,0,0,1,0,1,0,0,0,1);      //R
$buchst[83] = array(0,1,1,1,1,1,0,0,0,0,1,0,0,0,0,0,1,1,1,0,0,0,0,0,1,0,0,0,0,1,1,1,1,1,0);      //S
$buchst[84] = array(1,1,1,1,1,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0);      //T
$buchst[85] = array(1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,0,1,1,1,0);      //U
$buchst[86] = array(1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,0,1,0,1,0,0,0,1,0,0);      //V
$buchst[87] = array(1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,1,0,1,0,1,1,0,1,0,1,1,0,1,0,1,0,1,0,1,0);      //W
$buchst[88] = array(1,0,0,0,1,1,0,0,0,1,0,1,0,1,0,0,0,1,0,0,0,1,0,1,0,1,0,0,0,1,1,0,0,0,1);      //X
$buchst[89] = array(1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,0,1,0,1,0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0);      //Y
$buchst[90] = array(1,1,1,1,1,0,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,0,1,1,1,1,1);      //Z

$buchst[91] = array(0,1,1,1,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,1,1,0);      //[
$buchst[92] = array(1,0,0,0,1,0,1,0,1,0,1,1,1,1,1,0,0,1,0,0,1,1,1,1,1,0,0,1,0,0,0,0,1,0,0);      //yen-zeichen
$buchst[93] = array(0,1,1,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,1,1,1,0);      //]
$buchst[94] = array(0,0,1,0,0,0,1,0,1,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);      //^
$buchst[95] = array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1);      //_
$buchst[96] = array(0,1,0,0,0,0,0,1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);      //`

$buchst[97] = array(0,0,0,0,0,0,0,0,0,0,0,1,1,1,0,0,0,0,0,1,0,1,1,1,1,1,0,0,0,1,0,1,1,1,1);      //a
$buchst[98] = array(1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,1,1,0,1,1,0,0,1,1,0,0,0,1,1,1,1,1,0);      //b
$buchst[99] = array(0,0,0,0,0,0,0,0,0,0,0,1,1,1,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,1,0,1,1,1,0);      //c
$buchst[100] = array(0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,1,1,0,1,1,0,0,1,1,1,0,0,0,1,0,1,1,1,1);     //d
$buchst[101] = array(0,0,0,0,0,0,0,0,0,0,0,1,1,1,0,1,0,0,0,1,1,1,1,1,1,1,0,0,0,0,0,1,1,1,0);     //e
$buchst[102] = array(0,0,1,1,0,0,1,0,0,1,0,1,0,0,0,1,1,1,0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0);     //f
$buchst[103] = array(0,0,0,0,0,0,1,1,1,1,1,0,0,0,1,1,0,0,0,1,0,1,1,1,1,0,0,0,0,1,0,1,1,1,0);     //g
$buchst[104] = array(1,0,0,0,0,1,0,0,0,0,1,0,1,1,0,1,1,0,0,1,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1);     //h
$buchst[105] = array(0,0,1,0,0,0,0,0,0,0,0,1,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,1,1,1,0);     //i
$buchst[106] = array(0,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,1,0,0,1,0,0,1,1,0,0);     //j
$buchst[107] = array(1,0,0,0,0,1,0,0,0,0,1,0,0,1,0,1,0,1,0,0,1,1,0,0,0,1,0,1,0,0,1,0,0,1,0);     //k
$buchst[108] = array(0,1,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,1,1,1,0);     //l
$buchst[109] = array(0,0,0,0,0,0,0,0,0,0,1,1,0,1,0,1,0,1,0,1,1,0,1,0,1,1,0,1,0,1,1,0,1,0,1);     //m
$buchst[110] = array(0,0,0,0,0,0,0,0,0,0,1,0,1,1,0,1,1,0,0,1,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1);     //n
$buchst[111] = array(0,0,0,0,0,0,0,0,0,0,0,1,1,1,0,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,0,1,1,1,0);     //o
$buchst[112] = array(0,0,0,0,0,0,0,0,0,0,1,1,1,1,0,1,0,0,0,1,1,1,1,1,0,1,0,0,0,0,1,0,0,0,0);     //p
$buchst[113] = array(0,0,0,0,0,0,0,0,0,0,0,1,1,0,1,1,0,0,1,1,0,1,1,1,1,0,0,0,0,1,0,0,0,0,1);     //q
$buchst[114] = array(0,0,0,0,0,0,0,0,0,0,1,0,1,1,0,1,1,0,0,1,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0);     //r
$buchst[115] = array(0,0,0,0,0,0,0,0,0,0,0,1,1,1,0,1,0,0,0,0,0,1,1,1,0,0,0,0,0,1,1,1,1,1,0);     //s
$buchst[116] = array(0,1,0,0,0,0,1,0,0,0,1,1,1,0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,1,0,0,1,1,0);     //t
$buchst[117] = array(0,0,0,0,0,0,0,0,0,0,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,1,0,0,1,1,0,1,1,0,1);     //u
$buchst[118] = array(0,0,0,0,0,0,0,0,0,0,1,0,0,0,1,1,0,0,0,1,1,0,0,0,1,0,1,0,1,0,0,0,1,0,0);     //v
$buchst[119] = array(0,0,0,0,0,0,0,0,0,0,1,0,0,0,1,1,0,0,0,1,1,0,1,0,1,1,0,1,0,1,0,1,0,1,0);     //w
$buchst[120] = array(0,0,0,0,0,0,0,0,0,0,1,0,0,0,1,0,1,0,1,0,0,0,1,0,0,0,1,0,1,0,1,0,0,0,1);     //x
$buchst[121] = array(0,0,0,0,0,0,0,0,0,0,1,0,0,0,1,1,0,0,0,1,0,1,1,1,1,0,0,0,0,1,0,1,1,1,0);     //y
$buchst[122] = array(0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,1,1,1,1);     //z

$buchst[123] = array(0,0,0,1,0,0,0,1,0,0,0,0,1,0,0,0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,0,0,1,0);     //{
$buchst[124] = array(0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1,0,0);     //|
$buchst[125] = array(0,1,0,0,0,0,0,1,0,0,0,0,1,0,0,0,0,0,1,0,0,0,1,0,0,0,0,1,0,0,0,1,0,0,0);     //}

//Buchstaben mahlen
$x_s = 6;        //Startkoordinate des ersten Zeichens in der Zeile (konstante)
$y_s = 6;        //Startkoordinate des ersten Zeichens in der ersten Zeile
$zeilenhoehe = 23;        //Hhe einer Zeile (wird bentigt um in die nchste Zeile zu springen)
$zeichenbreite = 16;        //So viele Pixel ist ein Buchstabe auf den "Display" breit
$zeilenoffset = 0;        //Wird um eins herhht wenn ein Zeilenumbruch im Text gefunden wurde. Bewirkt in der Berechnung der Position, dass eine Zeile nach unten gesprungen wird
$zeichenoffset = 0;

$x_z = $x_s;        //Startkoordinate in x-Koordinate des Zeichens bernehmen
$x = $x_z;        //Zeichen X Koordinate bernehmen in Rechenvariable
$y_z = $y_s;        //Startkoordinate in y-Koordinate der Zeile bernehmen
$y = $y_z;        //Zeilen Y Koordinate in Rechenvariable bernehmen

//Text Zeichen fr zeichen durchlaufen
for($pos=0; $pos<strlen($text); $pos++)
{
  $pixel = 0;
  $ascii = ord(substr($text, $pos, 1));

  if($ascii == 13 || $ascii == 10)
  {
    //Meistens wird ja CRLF (Carrage Return + Line Feed gesendet) <- festgestellt bei GET bei URLs nicht, deswegen auskommentiert
    //auerdem knnen sonst keine zwei Zeilenumbrche nacheinander erkannt werden
    /*if((ord(substr($text, ($pos+1), 1)) == 13) || (ord(substr($text, ($pos+1), 1)) == 10))
    {
      $zeichenoffset++;
      $pos++;
    }*/

    $zeilenoffset++;
    if($crlf)
      $zeichenoffset = $zeichenoffset + (($x - 6) / $zeichenbreite);

      $x_z = (intval((($pos+1)-$zeilenoffset-$zeichenoffset) % $spalten) * $zeichenbreite) + $x_s;
      $x = $x_z;
  }
  else
  {
    if($autowrap)
    {
      $y_z = (intval(($pos-$zeilenoffset-$zeichenoffset) / $spalten) * $zeilenhoehe) + $y_s + ($zeilenoffset * $zeilenhoehe);
      $y = $y_z;
      $x_z = (intval(($pos-$zeilenoffset-$zeichenoffset) % $spalten) * $zeichenbreite) + $x_s;
      $x = $x_z;

      //Wenn zu viele Zeilen, dann abbrechen wenn das Display "voll" ist
      $zeile = ($y_z - $y_s) / $zeilenhoehe;
      if($zeile >= $zeilen)
        break;
    } else {
      if($pos >= $spalten)
        break;
    }

    for($i=0; $i<7; $i++)
    {
      for($j=0; $j<5; $j++)
      {
        if($buchst[$ascii][$pixel])
        {
          //                         x,   y, x_end, y_end
          ImageFilledRectangle($img, $x, $y, $x+1, $y+1, $pixelfarbe); //Pixel malen
        }
        $pixel ++;
        $x = $x + 3;
      }
      $y = $y +3;
      $x = $x_z;
    }
    $y = $y_z;
    $x_z = $x_z + $zeichenbreite;
    $x = $x_z;
  }
}

//Bild ausgeben und speicher lschen
ImagePNG($img);
ImageDestroy($img) # Hier wird der Speicherplatz fr andere Sachen geereinigt
?>